Subject: bug#61882: closed (Re: bug#61882: emacs-next-pgtk does not find emacs-org-roam, other path issues)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 04 Oct 2023 02:55:02 +0000

Your bug report

#61882: emacs-next-pgtk does not find emacs-org-roam, other path issues

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61882: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61882
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61882: emacs-next-pgtk does not find emacs-org-roam, other path issues
From: Maxim Cournoyer <[email-masked]>
To: Csepp <[email-masked]>
Cc: GNU Debbugs <[email-masked]>, [email-masked]
Date: Tue, 03 Oct 2023 22:54:23 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 61882 +notabug
quit

Hello,

Csepp <[email-masked]> writes:

> (Jump forward a bit, this is a bit stream-of-consciousness-y, I wrote
> things down as I was debugging things.  TLDR: profile got corrupted
> somehow, it's not related to the packages themselves.)
>
> Certain packages like flatpak do not get installed in my main user
> profile for some unknown reason.
> So far they are:
> * gallery-dl
> * flatpak
> * emacs-org-roam
>
> It has been happening for at least a month across several pulls.
>
> If I export a manifest and load it in either guix shell -m or guix
> package -m to a different profile, bin/flatpak exists, if I do guix
> package -m without a profile argument or with the profile set to the
> default user profile, bin/flatpak is missing.
>
> The packages that are broken are always the same.
>
> If I create a manifest with only the broken packages, guix package -I
> reports exactly those packages, but when I look in ~/.guix-profile/bin
> it still has a bunch of other packages in it.
>
> So it seems the profile is frozen?  I have no idea how this could
> happen.
>
> guix package --list-generations reports three generations, but there is
> only one generation in my home directory, called .guix-profile-1-link.
>
> There is also a .guix-profile.lock, maybe that's related?
> I see no lock for the other profile with the same manifest.
>
> Removed the lock, tried guix package -m again, still don't have flatpak,
> still only one generation symlink.
>
> Deleted all the symlinks, ran guix package -m, now it works.
>
> I'm gonna hold off on running the GC for a few days, if anyone has an
> idea of where the bug is and wants me to upload some files, I can do it
> until then.
> For my own reference, this is the store item of the broken profile:
> /gnu/store/0w3jxl95cchxn14zph3lmnqwmijf8971-profile

Did you have any corruption at the FS level or something equally bad?
Were you using a different Guix in between the 'guix package -m'
attempts?  If the profile was in the cache, it wouldn't rebuild it,
and you'd be stuck with your broken version.

I'm closing this, as I we don't have much to push the
investigation further, but if you have a more precise idea of what
happened and ways to reproduce that do reopen.

-- 
Thanks,
Maxim

Subject: emacs-next-pgtk does not find emacs-org-roam, other path issues
From: Csepp <[email-masked]>
To: [email-masked]
Date: Wed, 01 Mar 2023 02:58:15 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs-org-roam is installed in my default profile and all the other
emacs packages work with the emacs-next-pgtk package in the same
profile.
guix shell emacs-org-roam emacs-next-pgtk does not work, guix shell
emacs-org-roam emacs does.

Possibly related: when I had flatpak installed it was not showing up in
my profile's bin directory, so I had to open it through guix shell.

Maybe this is related to the bug where shell and build produce different
derivations?

current guix describe output (but this has been going on for at least a
month or so)
Generation 186	Feb 28 2023 02:57:13	(current)
  guix ff5fbcc
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: ff5fbcc19bce6e94ead0cc79b27ae8ed0307463d
  raingloom c75fd77
    repository URL: https://git.sr.ht/~raingloom/guix-packages
    branch: master
    commit: c75fd77980c7c5b45c91b0d921a25d8558266f41
  guix-science 5fc5e3e
    repository URL: https://github.com/guix-science/guix-science.git
    branch: master
    commit: 5fc5e3e855c298a692c62129e9edd0fcc7c6949f
  nonguix 3a1e9f0
    repository URL: https://gitlab.com/nonguix/nonguix.git
    branch: master
    commit: 3a1e9f0507d99403d1ba0f5557ee868b95b61eef